# TdApi.ChatInviteLinkInfo (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ChatInviteLinkInfo

Package it.tdlight.jni

# Class TdApi.ChatInviteLinkInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatInviteLinkInfo

Enclosing class:
  TdApi

    public static class TdApi.ChatInviteLinkInfo
    extends TdApi.Object

Contains information about a chat invite link.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`int` | `accessibleFor` | If non-zero, the amount of time for which read access to the chat will remain available, in seconds.
`long` | `chatId` | Chat identifier of the invite link; 0 if the user has no access to the chat before joining.
`static int` | `CONSTRUCTOR` |
`boolean` | `isPublic` | True, if the chat is a public supergroup or channel, i.e.
`int` | `memberCount` | Number of members in the chat.
`long[]` | `memberUserIds` | User identifiers of some chat members that may be known to the current user.
`TdApi.ChatPhotoInfo` | `photo` | Chat photo; may be null.
`String` | `title` | Title of the chat.
`TdApi.ChatType` | `type` | Contains information about the type of the chat.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ChatInviteLinkInfo()` | Contains information about a chat invite link.
`ChatInviteLinkInfo​(long chatId, int accessibleFor, TdApi.ChatType type, String title, TdApi.ChatPhotoInfo photo, int memberCount, long[] memberUserIds, boolean isPublic)` | Contains information about a chat invite link.
`ChatInviteLinkInfo​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier of the invite link; 0 if the user has no access to the chat before joining.

### accessibleFor

public int accessibleFor
If non-zero, the amount of time for which read access to the chat will remain available, in seconds.

### type

public TdApi.ChatType type
Contains information about the type of the chat.

### title

public String title
Title of the chat.

### photo

public TdApi.ChatPhotoInfo photo
Chat photo; may be null.

### memberCount

public int memberCount
Number of members in the chat.

### memberUserIds

public long[] memberUserIds
User identifiers of some chat members that may be known to the current user.

### isPublic

public boolean isPublic
True, if the chat is a public supergroup or channel, i.e. it has a username or it is a location-based supergroup.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ChatInviteLinkInfo

public ChatInviteLinkInfo()
Contains information about a chat invite link.

### ChatInviteLinkInfo

public ChatInviteLinkInfo​(long chatId, int accessibleFor, TdApi.ChatType type, String title, TdApi.ChatPhotoInfo photo, int memberCount, long[] memberUserIds, boolean isPublic)
Contains information about a chat invite link.

Parameters:
  `chatId` - long Chat identifier of the invite link; 0 if the user has no access to the chat before joining.
  `accessibleFor` - int If non-zero, the amount of time for which read access to the chat will remain available, in seconds.
  `type` - ChatType Contains information about the type of the chat.
  `title` - String Title of the chat.
  `photo` - ChatPhotoInfo Chat photo; may be null.
  `memberCount` - int Number of members in the chat.
  `memberUserIds` - long[] User identifiers of some chat members that may be known to the current user.
  `isPublic` - boolean True, if the chat is a public supergroup or channel, i.e. it has a username or it is a location-based supergroup.

### ChatInviteLinkInfo

public ChatInviteLinkInfo​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`